# Method: projects.getBillingInfo

- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/rest/v1/projects/getBillingInfo#try-it)

Gets the billing information for a project. The current authenticated user must have the `resourcemanager.projects.get` permission for the project, which can be granted by assigning the [Project Viewer](https://cloud.google.com/iam/docs/understanding-roles#predefined_roles) role.

### HTTP request

`GET https://cloudbilling.googleapis.com/v1/{name=projects/*}/billingInfo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the project for which billing information is retrieved. For example, `projects/tokyo-rain-123`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/billing/docs/reference/rest/v1/ProjectBillingInfo`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-billing.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).